Subject: bug#25086: [PATCH] Fix the timezone detection of parse-iso8601-time-string.

From: Hong Xu <[email-masked]>
Date: Thu, 01 Dec 2016 19:55:37 -0800

On 2016-12-01 Thu 19:46 GMT-0800, Hong Xu <[email-masked]> wrote:

> 	* parse-time.el (parse-iso8601-time-string): Fix its timezone
>         parsing.
>         * parse-time.el: Add doc for parse-iso8601-time-string and
>         make it autoload.
>         * editfns.c (Fdecode-time): Minor doc improvement for decode-time.

I should have noted that the current version basically cannot parse the
timezone at all. To reproduce, try the following:

(format-time-string "%H %M %S"
                    (parse-iso8601-time-string "1998-09-12T12:21:54-0200") t)

Also missed one line:

* emacs-mime.texi (time-date): Add an example for parse-iso8601-time-string.